APT-CACHE(8)

NOMBRE
apt-cache - Realiza consultas al caché de APT

SINOPSIS

apt-cache [-agipns] [-o=config_string] [-c=config_file] {gencaches | showpkg pkg... | showsrc pkg... | stats | dump | dumpavail | unmet | search regex... | show pkg [{=pkg_version_number | /target_release}]... | depends pkg [{=pkg_version_number | /target_release}]... | rdepends pkg [{=pkg_version_number | /target_release}]... | pkgnames [prefix] | dotty pkg [{=pkg_version_number | /target_release}]... | xvcg pkg [{=pkg_version_number | /target_release}]... | policy [pkg...] | madison pkg... | {-v | --version} | {-h | --help}}

DESCRIPCIÓN

apt-cache performs a variety of operations on APT's package cache. apt-cache does not manipulate the state of the system but does provide operations to search and generate interesting output from the package metadata. The metadata is acquired and updated via the 'update' command of e.g. apt-get, so that it can be outdated if the last update is too long ago, but in exchange apt-cache works independently of the availability of the configured sources (e.g. offline).

A menos que se use la opción -h o --help, una de las siguientes órdenes debe estar presente.

gencaches
    gencaches genera la caché de paquetes de APT. Todas las órdenes realizan esta acción de forma implícita si no se detecta la caché o si está obsoleta.

showpkg pkg...
    showpkg muestra la información relativa a los paquetes listados en la línea de órdenes. Los argumentos restantes se consideran nombres de paquetes. Para cada paquete de la lista se listan las versiones y dependencias inversas disponibles, así como las dependencias de cada versión. Las dependencias (normales) son los paquetes de los que depende el paquete en cuestión, las dependencias inversas son los paquetes que dependen del paquete en cuestión. Por ello, las dependencias se deben satisfacer para un paquete, pero las dependencias inversas no. Por ejemplo, apt-cache showpkg libreadline2 produciría una salida similar a la siguiente:

        Paquete: libreadline2
        Versiones: 2.1-12(/var/state/apt/lists/foo_Packages),
        Dependencias inversas:
          libreadlineg2,libreadline2
          libreadline2-altdev,libreadline2
        Dependencias:
        2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
        Provides:
        2.1-12 -
        Reverse Provides:
    La información de salida muestra que libreadline2, con versión 2.1-12, depende de libc5 y ncurses3.0, que se deben instalar para que libreadline2 funcione. Además, libreadlineg2 y libreadline2-altdev dependen de libreadline2. De modo que si libreadline2 está instalado, libc5 y ncurses3.0 (y ldso) también deben estar instalados, pero libreadlineg2 y libreadline2-altdev no tienen que estarlo. Para el significado específico del resto de la salida lo mejor es consultar el código fuente de apt.

stats
    stats muestra algunas estadísticas sobre la caché. No necesita ningún argumento adicional. Las estadísticas que muestra son:

        • Total de nombres de paquetes es el número de paquetes encontrados en la caché.

        • Paquetes normales es el número de nombres de paquetes normales. Estos paquetes tienen una correspondencia unívoca entre sus nombres y los nombres que usan otros paquetes al listarlos en sus dependencias. La mayoría de los paquetes pertenecen a este grupo.

        • Paquetes virtuales puros es el número de paquetes que existen sólo como nombre de un paquete virtual, esto es, paquetes que sólo «proporcionan» el nombre del paquete virtual, y no hay ningún paquete más que use el nombre. Por ejemplo, «mail-transport-agent» en un sistema Debian es un paquete virtual puro, varios paquetes proporcionan «mail-transport-agent», pero no hay ningún paquete que se llame «mail-transport-agent».

        • Paquetes virtuales únicos es el número de paquetes con un único paquete que proporciona un paquete virtual en concreto. Por ejemplo, en un sistema Debian, «X11-text-viewer» es un paquete virtual, pero sólo un paquete, xless, proporciona «X11-text-viewer».

        • Paquetes virtuales mixtos es el número de paquetes que o bien proporcionan un determinado paquete virtual o tienen el mismo nombre como paquete virtual y como paquete normal. Por ejemplo, en un sistema Debian, «debconf» es a la vez un paquete normal, y que proporciona el paquete debconf-tiny.

        • No encontrados es el número de nombres de paquetes mencionados como dependencia pero que ningún paquete los proporciona. Estos paquetes pueden ser una prueba de que no se tiene acceso a toda la distribución, o de la eliminación de algún paquete (real o virtual) dentro de la distribución. Normalmente se hace referencia a ellos desde los campos «Conflicts» o «Breaks» de la descripción de los paquetes.

        • Total distinct versions is the number of package versions found in the cache. If more than one distribution is being accessed (for instance, "stable" and "unstable"), this value can be considerably larger than the number of total package names.

        • Total de dependencias es el número total de relaciones de dependencia de todos los paquetes de la caché.

showsrc pkg...
    showsrc displays all the source package records that match the given package names. All versions are shown, as well as all records that declare the name to be a binary package. Use --only-source to display only source package names.

dump
    dump muestra una pequeña lista de todos los paquetes en la caché. Fundamentalmente para depuración.

dumpavail
    dumpavail muestra por la salida estándar una lista de los paquetes disponibles. Esta lista es apropiada para su uso con dpkg(1) y, además, la usa el método dselect(1).

unmet
    unmet muestra un resumen de todas las dependencias no satisfechas en la caché de paquetes.

show pkg...
    show realiza una función similar a dpkg --print-avail, muestra los campos del paquete para los paquetes nombrados.

search regex...
    search performs a full text search on all available package lists for the POSIX regex pattern given, see regex(7). It searches the package names and the descriptions for an occurrence of the regular expression and prints out the package name and the short description, including virtual package names. If --full is given then output identical to show is produced for each matched package, and if --names-only is given then the long description is not searched, only the package name and provided packages are.

    Se pueden usar argumentos separados para especificar varios patrones de búsqueda que se juntarán mediante una «Y lógica».

depends pkg...
    depends muestra una lista de todas la dependencias de un paquete y de todos los demás paquetes que la pueden satisfacer.

rdepends pkg...
    rdepends muestra las dependencias inversas de un paquete.

pkgnames [prefix]
    Esta orden muestra el nombre de todos los paquetes que APT conoce. El argumento opcional es un prefijo para filtrar la lista de nombres. La salida es apropiada para su uso junto con la función de completado automático mediante tabulador en un intérprete de órdenes y se genera de forma extremadamente rápida. El mejor uso de la orden es con la opción --generate.

    Tenga en cuenta que un paquete que conoce APT puede no estar necesariamente disponible para descargar, instalar o instalado, por ejemplo: los paquetes virtuales también aparecen en la lista generada.

dotty pkg...
    dotty toma una lista de paquetes de la línea de ordenes y genera una salida apropiada para su uso con dotty, del paquete GraphViz[1]. El resultado será un conjunto de nodos y uniones representando las relaciones entre los paquetes. De forma predeterminada, los paquetes proporcionados mostrarán todas sus dependencias, lo que puede producir un grafo muy grande. Para limitar la salida sólo a los paquetes listados en la línea de órdenes, active la opción APT::Cache::GivenOnly.

    Los nodos resultantes tendrán varias formas: los paquetes normales son cajas, los paquetes virtuales puros son triángulos, los paquetes virtuales mixtos son diamantes y los paquetes no encontrados son hexágonos. Las cajas naranjas simbolizan que el recorrido se detuvo en paquetes que ningún otro declara como dependencia, las líneas azules son pre-dependencias y las líneas verdes son conflictos.

    Tenga cuidado, dotty no puede dibujar grandes conjuntos de paquetes.

xvcg pkg...
    Lo mismo que dotty, sólo para xvcg de la herramienta VCG[2].

policy [pkg...]
    policy está pensado para ayudar a depurar asuntos relacionados con el fichero de preferencias. Sin argumentos mostrará las prioridades de cada fuente. De forma alternativa, muestra una información detallada acerca de la prioridad de selección del paquete nombrado.

madison pkg...
    La orden madison de apt-cache intenta imitar el formato de salida y parte de la funcionalidad de la herramienta para la gestión del archivo de Debian, madison. Muestra las versiones disponibles de un determinado paquete en un formato tabular. A diferencia del madison original, sólo puede mostrar información para la arquitectura para la que APT obtuvo las listas de paquetes (APT::Architecture).

OPCIONES

Todas las opciones de la línea de órdenes se pueden definir mediante el fichero de configuración, las descripciones indican la opción de la configuración a definir. Para opciones de tipo «boolean» puede invalidar el fichero de configuración utilizando algo como -f-,--no-f, -f=no u otras muchas variaciones.

-p, --pkg-cache
    Define el fichero donde guardar la caché de paquetes. La caché de paquetes es la caché primaria usada para todas las operaciones. Opción de configuración: Dir::Cache::pkgcache.

-s, --src-cache
    Escoge el fichero para guardar la caché fuente. Sólo gencaches usa esta caché y guarda una versión analizada de la información de los paquetes de las fuentes remotas. Cuando se genera la caché de paquetes la caché fuente se usa para evitar analizar todos los ficheros de paquetes. Opción de configuración: Dir::Cache::srcpkgcache.

-q, --quiet
    Produce una salida adecuada para su almacenamiento, omitiendo los indicadores de progreso. Más «q» producirán una salida más silenciosa, hasta un máximo de dos. También se puede usar -q=# para definir el nivel de silencio, ignorando el fichero de configuración. Opción de configuración: quiet.

-i, --important
    Muestra sólo las dependencias importantes, se usa junto con unmet y depends. Hace que sólo se muestren las dependencias y pre-dependencias. Opción de configuración: APT::Cache::Important.

--no-pre-depends, --no-depends, --no-recommends, --no-suggests, --no-conflicts, --no-breaks, --no-replaces, --no-enhances
    Per default the depends and rdepends print all dependencies. This can be tweaked with these flags which will omit the specified dependency type. Configuration Item: APT::Cache::ShowDependencyType e.g. APT::Cache::ShowRecommends.

--implicit
    Per default depends and rdepends print only dependencies explicitly expressed in the metadata. With this flag it will also show dependencies implicitly added based on the encountered data. A Conflicts: foo e.g. expresses implicitly that this package also conflicts with the package foo from any other architecture. Configuration Item: APT::Cache::ShowImplicit.

-f, --full
    Muestra todos los campos de información cuando se realiza una búsqueda. Opción de configuración: APT::Cache::ShowFull.

-a, --all-versions
    Muestra los campos completos de todas las versiones disponibles. Es el comportamiento predeterminado, para desactivarlo utilice --no-all-versions. Si se especifica --no-all-versions, sólo se muestra la versión candidata (la que se escogería para instalar). Esta opción sólo se aplica a la orden show. Opción de configuración: APT::Cache::AllVersions.

-g, --generate
    Realiza una regeneración completa de la caché de paquetes, en vez de usarla tal y como está. Esta es la opción predeterminada, para desactivarla use --no-generate. Opción de configuración: APT::Cache::Generate.

--names-only, -n
    Only search on the package and provided package names, not the long descriptions. Configuration Item: APT::Cache::NamesOnly.

--all-names
    Hace que pkgnames muestre todos los nombres, incluyendo los paquetes virtuales y las dependencias no encontradas. Opción de configuración: APT::Cache::AllNames.

--recurse
    Hace que depends y rdepends sean recursivos de modo que todos los paquetes mencionados se muestran sólo una vez. Opción de configuración APT::Cache::RecurseDepends.

--installed
    Limita la salida de depends y rdepends a paquetes actualmente instalados. Opción de configuración: APT::Cache::Installed.

--with-source filename
    Adds the given file as a source for metadata. Can be repeated to add multiple files. Supported are currently *.deb, *.dsc, *.changes, Sources and Packages files as well as source package directories. Files are matched based on their name only, not their content!

    Sources and Packages can be compressed in any format apt supports as long as they have the correct extension. If you need to store multiple of these files in one directory you can prefix a name of your choice with the last character being an underscore ("_"). Example: my.example_Packages.xz

    Note that these sources are treated as trusted (see apt-secure(8)). Configuration Item: APT::Sources::With.

-h, --help
    Muestra un mensaje corto sobre el uso.

-v, --version
    Muestra la versión del programa.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Fichero de configuración: Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración predeterminado y, después, este fichero de configuración. Si necesita que ciertas opciones de configuración se definan antes que el análisis de los de los ficheros de configuración predeterminados, defina un fichero con la variable de entorno APT_CONFIG. Consulte apt.conf(5) para información sobre la sintaxis.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

FICHEROS

/etc/apt/sources.list
    Ubicaciones de dónde conseguir los paquetes. Opción de configuración: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Fragmentos de fichero para las ubicaciones de dónde descargar los paquetes. Opción de configuración: Dir::Etc::SourceParts.

/var/lib/apt/lists/
    Área de almacenamiento para la información del estado de cada fuente de paquetes especificado en sources.list(5) Opción de configuración: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Área de almacenamiento para la información de estado en tránsito. Elemento de configuración: Dir::State::Lists (se añade partial de forma implícita)

VÉASE TAMBIÉN

apt.conf(5), sources.list(5), apt-get(8), apt-patterns(7)

DIAGNÓSTICOS

apt-cache devuelve cero si no hay ningún error, y el valor 100 en caso de error.

BUGS

Página de errores de APT[3]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2012 .

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTORES

Jason Gunthorpe

Equipo de APT

NOTAS

1.  GraphViz
    https://graphviz.org/

2.  herramienta VCG
    https://www.rw.cdl.uni-saarland.de/people/sander/private/html/gsvcg1.html

3.  Página de errores de APT
    https://bugs.debian.org/src:apt